Subject: [lemonade] [Technical Errata Reported] RFC5465 (4833)

From: RFC Errata System <[email-masked]>
Date: Mon, 17 Oct 2016 15:59:59 -0700 (PDT)

The following errata report has been submitted for RFC5465,
"The IMAP NOTIFY Extension".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=5465&eid=4833

--------------------------------------
Type: Technical
Reported by: Chris Newman <[email-masked]>

Section: 5.2, 7

Original Text
-------------
Section 5.2 paragraph 4:
   ...  The FETCH response(s) MUST follow any
   ESEARCH ADDTO responses.

Section 7 paragraph 2:
   Note that the EXISTS response MUST precede any FETCH responses, and
   together they MUST precede the ESEARCH response.

Corrected Text
--------------

Notes
-----
As the RFC is internally inconsistent on this point, servers can have either behavior. I know of at least one deployed implementation that follows the MUST in section 7 rather than the one in section 5.2.

At this point I can't suggest specific corrected text, so this is a hold-for-document-update issue.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC5465 (draft-ietf-lemonade-imap-notify-07)
--------------------------------------
Title               : The IMAP NOTIFY Extension
Publication Date    : February 2009
Author(s)           : A. Gulbrandsen, C. King, A. Melnikov
Category            : PROPOSED STANDARD
Source              : Enhancements to Internet email to support diverse service environments
Area                : Applications
Stream              : IETF
Verifying Party     : IESG